@if (adminReferentialDataService.loggedAsAdmin$ | async) {
  @if (componentData$ | async; as componentData) {
    <div class="full-height full-width overflow-hidden flex-column">
      <div class="admin-workspace-secondary-title">
        {{
          'sqtm-core.administration-workspace.system.messages.title' | translate
        }}
      </div>
      <div class="full-width full-height">
        <div class="full-width full-height p-r-15" style="overflow-y: auto">
          <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
            <nz-collapse-panel [nzActive]="true" [nzHeader]="loginMessageTitle">
              <ng-template #loginMessageTitle>
                <div class="entity-view-collapse-panel-title">
                  {{
                    'sqtm-core.administration-workspace.system.messages.login-message.title'
                      | translate
                  }}
                </div>
              </ng-template>
              <sqtm-app-system-login-message-panel>
              </sqtm-app-system-login-message-panel>
            </nz-collapse-panel>
            <nz-collapse-panel
              [nzActive]="true"
              [nzHeader]="welcomMessageTitle"
            >
              <ng-template #welcomMessageTitle>
                <div class="entity-view-collapse-panel-title">
                  {{
                    'sqtm-core.administration-workspace.system.messages.welcome-message.title'
                      | translate
                  }}
                </div>
              </ng-template>
              <sqtm-app-system-welcome-message-panel>
              </sqtm-app-system-welcome-message-panel>
            </nz-collapse-panel>
            <nz-collapse-panel
              [nzActive]="true"
              [nzHeader]="bannerMessageTitle"
            >
              <ng-template #bannerMessageTitle>
                <div class="entity-view-collapse-panel-title">
                  {{
                    'sqtm-core.administration-workspace.system.messages.banner-message.title'
                      | translate
                  }}
                </div>
              </ng-template>
              <sqtm-app-system-banner-message-panel>
              </sqtm-app-system-banner-message-panel>
            </nz-collapse-panel>
          </nz-collapse>
        </div>
      </div>
    </div>
  } @else {
    <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
  }
}
